//
//	PostcardViewer v0.0.1 ( Part of PostcardViewer.rwplugin )
//	by Keigo Komino (imacomino) - http://comino.sakura.ne.jp
//	9/25/06
//
//	Licensed under the Creative Commons Attribution 2.5 License
//	http://creativecommons.org/licenses/by/2.5/
//	
var PostcardViewer = Class.create();

PostcardViewer.prototype = {
	initialize: function() {
		var objBody = document.getElementsByTagName("body").item(0);
		var arrayPageSize = getPageSize();

		// Add background element
		var strOverlay = "<div id='overlay'></div>";
		new Insertion.Top(objBody, strOverlay); 
		var objOverlay = $('overlay');
		objOverlay.style.display = 'none';
		objOverlay.style.height = arrayPageSize[1] +"px";

		// Add postcard element
		var strTarget
			= "<iframe name='target'"
			+ "allowtransparency='true'"
			+ "src='%%FILES%%/index.html'"
			+ "width='100%'"
			+ "height='500px'"
			+ "frameborder='0'"
			+ "scrolling='no'"
			+ "id='target'>"
			+ "</iframe>";
		new Insertion.After(objOverlay, strTarget); 
		var objTarget = $('target');
		objTarget.style.height = arrayPageSize[1] +"px";

		new Effect.Appear('overlay', { duration: %%DURATION%%, from: 0.0, to: %%TRANSPARENCY%% });
	}
}

//
// getPageSize()
// Returns array with page width, height and window width, height
// Core code from - quirksmode.org
// Edit for Firefox by pHaez
//
function getPageSize(){
	
	var xScroll, yScroll;
	
	if (window.innerHeight && window.scrollMaxY) {	
		xScroll = document.body.scrollWidth;
		yScroll = window.innerHeight + window.scrollMaxY;
	} else if (document.body.scrollHeight > document.body.offsetHeight){ // all but Explorer Mac
		xScroll = document.body.scrollWidth;
		yScroll = document.body.scrollHeight;
	} else { // Explorer Mac...would also work in Explorer 6 Strict, Mozilla and Safari
		xScroll = document.body.offsetWidth;
		yScroll = document.body.offsetHeight;
	}

	var windowWidth, windowHeight;
	if (self.innerHeight) {	// all except Explorer
		windowWidth = self.innerWidth;
		windowHeight = self.innerHeight;
	} else if (document.documentElement && document.documentElement.clientHeight) { // Explorer 6 Strict Mode
		windowWidth = document.documentElement.clientWidth;
		windowHeight = document.documentElement.clientHeight;
	} else if (document.body) { // other Explorers
		windowWidth = document.body.clientWidth;
		windowHeight = document.body.clientHeight;
	}	

	// for small pages with total height less then height of the viewport
	if(yScroll < windowHeight){
		pageHeight = windowHeight;
	} else { 
		pageHeight = yScroll;
	}

	// for small pages with total width less then width of the viewport
	if(xScroll < windowWidth){	
		pageWidth = windowWidth;
	} else {
		pageWidth = xScroll;
	}

	arrayPageSize = new Array(pageWidth,pageHeight,windowWidth,windowHeight) 
	return arrayPageSize;
}

function initPostcardViewer() { myPostcardViewer = new PostcardViewer(); }
Event.observe(window, 'load', initPostcardViewer, false);
